# Generated by rust2rpm 16
%bcond_with check
%global __cargo_skip_build 0
%global debug_package %{nil}

%global crate ed25519

Name:           rust-%{crate}
Version:        1.1.1
Release:        1%{?dist}.1
Summary:        Edwards Digital Signature Algorithm (EdDSA) over Curve25519 (as specified in RFC 8032)

# Upstream license specification: Apache-2.0 OR MIT
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/ed25519
Source:         https://crates.io/api/v1/crates/%crate/%version/download#/%crate-%version.crate

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging
%if ! %{__cargo_skip_build}
BuildRequires:  (crate(signature) >= 1.0.0 with crate(signature) < 2.0.0)
BuildRequires:  (crate(signature/std) >= 1.0.0 with crate(signature/std) < 2.0.0)
%if %{with check}
BuildRequires:  (crate(bincode/default) >= 1.0.0 with crate(bincode/default) < 2.0.0)
BuildRequires:  (crate(ed25519-dalek/default) >= 1.0.0 with crate(ed25519-dalek/default) < 2.0.0)
BuildRequires:  (crate(rand_core/default) >= 0.5.0 with crate(rand_core/default) < 0.6.0)
BuildRequires:  (crate(rand_core/std) >= 0.5.0 with crate(rand_core/std) < 0.6.0)
BuildRequires:  (crate(ring-compat/default) >= 0.2.0 with crate(ring-compat/default) < 0.3.0)
%endif
%endif

%global _description %{expand:
Edwards Digital Signature Algorithm (EdDSA) over Curve25519 (as specified in
RFC 8032).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages
which use "serde" feature of "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Jul 15 2021 Oleg Girko <ol@infoserver.lv> - 1.1.1-1
- Initial package
